;*******************************************************************
w	equ	0		;parametr instrukci
f	equ	1		;parametr instrukci
tmr0	equ	0x01
optreg	equ	0x01		;pouzijeme prime adresovani
status	equ	0x03		;status je na adrese 0x03
porta	equ	0x05
trisa	equ	0x05		;pouzijeme prime adresovani
portb	equ	0x06
trisb	equ	0x06		;pouzijeme prime adresovani
intcon	equ	0x0B
cnt	equ	0x0C		;definice registru cnt1
;*******************************************************************
#define LED	porta,4		;LED je na pinu RA4
#define TL 	portb,0		;tlactko je na pinu RB0
#define T0IF	intcon,2	;indikace preteceni TMR0
#define	RP0	status,5
#define	BIT	status,7		;universalni bit
;*******************************************************************
	list 	p = 16F84
	__config 0x3FF1		;nastaveni konfigurace
;*******************************************************************
	org	0x0000		;adresa zacatku programu
	goto	Main
;*******************************************************************
Cekej	bcf	T0IF		;vynulovani bitu T0IF
	clrf	tmr0		;vynulovani TMR0 a peddliky
	movlw	D'10'
	btfsc	BIT
	movlw	D'5'
	movwf	cnt
Cekej_A	btfss	T0IF		;testovani preteceni TMR0
	goto	Cekej_A		;nepretekl-li TMR0, testuje znovu
	bcf	T0IF		;vynulovani bitu T0IF
	decfsz	cnt,f
	goto	Cekej_A		;vnejsi smycka
	return
;*******************************************************************
Main	bsf	RP0		;stranka 1 pameti RAM
	movlw	B'11101111'	
	movwf	trisa		;pin RA4 je vystup
	movlw	B'11010100'
	movwf	optreg		;konfigurace TMR0 a preddelicky
	bcf	RP0		;stranka 0 pameti RAM
Main_A  bcf	BIT		;tlacitko vypnuto - blikani po 1s
	btfss	TL
	bsf	BIT		;tlacitko sepnuto - blikani po 0,5s
	bcf	LED		;rozsviti LED
	call	Cekej
	bsf	LED		;zhasne LED
	call	Cekej
	goto	Main_A
	end

